org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryCreate

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<SVNURL>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryCreate

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnRepositoryCreate
    extends SvnRepositoryOperation<SVNURL>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryCreate(SvnOperationFactory factory)`

### Method Summary

Methods
`java.lang.String` `getUuid()`
`boolean` `isEnableRevisionProperties()`
`boolean` `isForce()`
`boolean` `isPre14Compatible()`
`boolean` `isPre15Compatible()`
`boolean` `isPre16Compatible()`
`boolean` `isPre17Compatible()`
`boolean` `isWith17Compatible()`
`void` `setEnableRevisionProperties(boolean enableRevisionProperties)`
`void` `setForce(boolean force)`
`void` `setPre14Compatible(boolean pre14Compatible)`
`void` `setPre15Compatible(boolean pre15Compatible)`
`void` `setPre16Compatible(boolean pre16Compatible)`
`void` `setPre17Compatible(boolean pre17Compatible)`
`void` `setUuid(java.lang.String uuid)`
`void` `setWith17Compatible(boolean with17Compatible)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryCreate

    public SvnRepositoryCreate(SvnOperationFactory factory)

### Method Detail

#### getUuid

    public java.lang.String getUuid()

#### setUuid

    public void setUuid(java.lang.String uuid)

#### isEnableRevisionProperties

    public boolean isEnableRevisionProperties()

#### setEnableRevisionProperties

    public void setEnableRevisionProperties(boolean enableRevisionProperties)

#### isForce

    public boolean isForce()

#### setForce

    public void setForce(boolean force)

#### isPre15Compatible

    public boolean isPre15Compatible()

#### setPre15Compatible

    public void setPre15Compatible(boolean pre15Compatible)

#### isPre16Compatible

    public boolean isPre16Compatible()

#### setPre16Compatible

    public void setPre16Compatible(boolean pre16Compatible)

#### isPre17Compatible

    public boolean isPre17Compatible()

#### setPre17Compatible

    public void setPre17Compatible(boolean pre17Compatible)

#### isWith17Compatible

    public boolean isWith17Compatible()

#### setWith17Compatible

    public void setWith17Compatible(boolean with17Compatible)

#### isPre14Compatible

    public boolean isPre14Compatible()

#### setPre14Compatible

    public void setPre14Compatible(boolean pre14Compatible)